Getting started
List backup files
List restore points recorded for this backup policy.
GET
/api/customer/v1/projects/{projectId}/backups/{policyId}/artifactsPath parameters
| Name | Value |
|---|---|
projectId | Required resource ID from an earlier API response. |
policyId | Required resource ID from an earlier API response. |
Example request
Set HCODE_BASE_URL and HCODE_API_KEY as shown in Getting started. Replace resource variables with your own IDs.
curl --request GET "$HCODE_BASE_URL/api/customer/v1/projects/${PROJECT_ID}/backups/${POLICY_ID}/artifacts" \
--header "Authorization: Bearer $HCODE_API_KEY" Response
The JSON shape is defined in the response schema.
Response schema
{
"type": "object",
"properties": {
"artifacts": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"createdAt": {
"type": "string"
},
"status": {
"type": "string"
},
"sizeBytes": {
"type": "integer"
}
},
"required": [
"id"
],
"additionalProperties": true
}
}
},
"required": [
"artifacts"
],
"additionalProperties": true
}See errors and retries for failure responses.